net.snowflake.client.jdbc

## Class SnowflakeResultSetSerializable.ResultSetRetrieveConfig

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeResultSetSerializable.ResultSetRetrieveConfig

Enclosing interface:
  SnowflakeResultSetSerializable

    public static class SnowflakeResultSetSerializable.ResultSetRetrieveConfig
    extends Object

### Nested Class Summary

Nested Classes
`static class` `SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder`

### Constructor Summary

Constructors
Constructor and Description
`ResultSetRetrieveConfig(SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder builder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Properties` `getProxyProperties()`
`String` `getSfFullURL()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultSetRetrieveConfig

    public ResultSetRetrieveConfig(SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder builder)

### Method Detail

#### getProxyProperties

    public Properties getProxyProperties()

#### getSfFullURL

    public String getSfFullURL()